<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.net.urlnormalizer.basic (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.nutch.net.urlnormalizer.basic (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/nutch/net/urlnormalizer/ajax/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../org/apache/nutch/net/urlnormalizer/host/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/nutch/net/urlnormalizer/basic/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.apache.nutch.net.urlnormalizer.basic</h1>
<div class="docSummary">
<div class="block">URL normalizer performing basic normalizations:
 
 remove default ports, e.g., port 80 for <code>http://</code> URLs
 remove needless slashes and dot segments in the path component
 remove anchors
 use percent-encoding (only) where needed
 
 
 E.g.,
 <code>https://www.example.org/a/../b//./select%2Dlang.php?lang=español#anchor<code>
 is normalized to <code>https://www.example.org/b/select-lang.php?lang=espa%C3%B1ol</code>
 
 Optional and configurable normalizations are:
 
 convert Internationalized Domain Names (IDNs) uniquely either to the
 ASCII (Punycode) or Unicode representation, see property
 <code>urlnormalizer.basic.host.idn</code>
 remove a trailing dot from host names, see property
 <code>urlnormalizer.basic.host.trim-trailing-dot</code>
 </div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/apache/nutch/net/urlnormalizer/basic/BasicURLNormalizer.html" title="class in org.apache.nutch.net.urlnormalizer.basic">BasicURLNormalizer</a></td>
<td class="colLast">
<div class="block">Converts URLs to a normal form:
 
 remove dot segments in path: <code>/./</code> or <code>/../</code>
 remove default ports, e.g.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package org.apache.nutch.net.urlnormalizer.basic Description">Package org.apache.nutch.net.urlnormalizer.basic Description</h2>
<div class="block">URL normalizer performing basic normalizations:
 <ul>
 <li>remove default ports, e.g., port 80 for <code>http://</code> URLs</li>
 <li>remove needless slashes and dot segments in the path component</li>
 <li>remove anchors</li>
 <li>use percent-encoding (only) where needed</li>
 </ul>
 
 E.g.,
 <code>https://www.example.org/a/../b//./select%2Dlang.php?lang=español#anchor<code>
 is normalized to <code>https://www.example.org/b/select-lang.php?lang=espa%C3%B1ol</code>
 
 Optional and configurable normalizations are:
 <ul>
 <li>convert Internationalized Domain Names (IDNs) uniquely either to the
 ASCII (Punycode) or Unicode representation, see property
 <code>urlnormalizer.basic.host.idn</code></li>
 <li>remove a trailing dot from host names, see property
 <code>urlnormalizer.basic.host.trim-trailing-dot</code></li>
 </ul></div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/nutch/net/urlnormalizer/ajax/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../org/apache/nutch/net/urlnormalizer/host/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/nutch/net/urlnormalizer/basic/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
